Package org.springframework.scheduling.support

# Enum Class ScheduledTaskObservationDocumentation

java.lang.Object
java.lang.Enum<ScheduledTaskObservationDocumentation>
org.springframework.scheduling.support.ScheduledTaskObservationDocumentation

All Implemented Interfaces:
  `io.micrometer.observation.docs.ObservationDocumentation`, `Serializable`, `Comparable<ScheduledTaskObservationDocumentation>`, `Constable`

public enum ScheduledTaskObservationDocumentation extends Enum<ScheduledTaskObservationDocumentation> implements io.micrometer.observation.docs.ObservationDocumentation
Documented `KeyValues` for the observations on executions of `scheduled tasks`

This class is used by automated tools to document KeyValues attached to the `@Scheduled` observations.

Since:
  6.1
Author:
  Brian Clozel

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ScheduledTaskObservationDocumentation.LowCardinalityKeyNames`

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`TASKS_SCHEDULED_EXECUTION`
Observations on executions of `Scheduled` tasks.

## Field Summary

### Fields inherited from interface io.micrometer.observation.docs.ObservationDocumentation

`EMPTY, EMPTY_EVENT_NAMES`

## Method Summary

Modifier and Type
Method
Description
`static ScheduledTaskObservationDocumentation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ScheduledTaskObservationDocumentation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface io.micrometer.observation.docs.ObservationDocumentation

`getContextualName, getDefaultConvention, getEvents, getHighCardinalityKeyNames, getLowCardinalityKeyNames, getName, getPrefix, observation, observation, observation, start, start, start`

## Enum Constant Details

### TASKS_SCHEDULED_EXECUTION

public static final ScheduledTaskObservationDocumentation TASKS_SCHEDULED_EXECUTION
Observations on executions of `Scheduled` tasks.

## Method Details

### values

public static ScheduledTaskObservationDocumentation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ScheduledTaskObservationDocumentation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null